Table of Contents

## Name

XtConvert, XtDirectConvert - invoke resource converters

## Syntax

void XtConvert(w, from_type, from, to_type, to_return)
Widget w;
String from_type;
XrmValuePtr from;
String to_type;
XrmValuePtr to_return;

void XtDirectConvert(converter, args, num_args, from, to_return)
XtConverter converter;
XrmValuePtr args;
Cardinal num_args;
XrmValuePtr from;
XrmValuePtr to_return;

## Arguments

the conversion (often NULL)

args
  Specifies the argument list that contains the additional arguments needed to perform.
converter
  Specifies the conversion procedure that is to be called.
from
  Specifies the value to be converted.
from_type
  Specifies the source type.
num_args
  Specifies the number of additional arguments (often zero).
to_type
  Specifies the destination type.
to_return
  Returns the converted value.
w
  Specifies the widget to use for additional arguments (if any are needed).

## Description

The XtConvert function looks up the type converter registered to convert from_type to to_type, computes any additional arguments needed, and then calls XtDirectConvert. XtConvert has been replaced by XtConvertAndStore.

The XtDirectConvert function looks in the converter cache to see if this conversion procedure has been called with the specified arguments. If so, it returns a descriptor for information stored in the cache; otherwise, it calls the converter and enters the result in the cache.

Before calling the specified converter, XtDirectConvert sets the return value size to zero and the return value address to NULL. To determine if the conversion was successful, the client should check to_return.address for non-NULL. XtDirectConvert has been replaced by XtCallConverter.

## See Also

XtAppAddConverter(3Xt) , XtStringConversionWarning(3Xt) , XtConvertAndStore(3Xt) , XtCallConverter(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also